Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 617942 - Review Request: geronimo-saaj - Java EE: SOAP with Attachments API Package v1.3
Review Request: geronimo-saaj - Java EE: SOAP with Attachments API Package v1.3
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On: 617941 618268
Blocks: 617943
  Show dependency treegraph
 
Reported: 2010-07-25 02:54 EDT by Spike
Modified: 2010-08-03 14:11 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-03 14:11:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Spike 2010-07-25 02:54:47 EDT
Spec URL: http://spike.fedorapeople.org/geronimo-saaj/geronimo-saaj.spec
SRPM URL: http://spike.fedorapeople.org/geronimo-saaj/geronimo-saaj-1.1-1.fc14.src.rpm
Description: 
Provides the API for creating and building SOAP messages.
Comment 1 Stanislav Ochotnicky 2010-08-02 08:30:30 EDT
OK: rpmlint must be run on every package. The output should be posted in the review.
geronimo-saaj.noarch: W: non-conffile-in-etc /etc/maven/fragments/geronimo-saaj
3 packages and 0 specfiles checked; 0 errors, 1 warnings.

OK: The package must be named according to the Package Naming Guidelines .
OK: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  .
OK: The package must meet the Packaging Guidelines .
OK: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
NEEDSWORK: The License field in the package spec file must match the actual license.

I am sorry I haven't noticed this when I was doing
osgi-support...LICENSE file has 2 licenses, but 2nd license only
applies to non-existant file (XMLSchema.dtd). Therefore:
 * spec file should only have ASL 2.0 as a license
 * upstream should be contacted so that they can fix the issue

I didn't check for existence of that file while doing osgi-support
review (my bad).

OK: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
OK: All independent sub-packages have License of their own (if it exists)
OK: The spec file must be written in American English. 
OK: The spec file for the package MUST be legible. 
OK: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
OK: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
OK: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
OK: Packages must NOT bundle copies of system libraries.
OK: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 
OK: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
NEEDSWORK: Each package must consistently use macros.

again that bug in rpmstubby...rm in one place %{__rm} in another one...

OK: The package must contain code, or permissable content. 
OK: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
OK: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK: All filenames in rpm packages must be valid UTF-8.


So all in all, just that LICENSE mishap (sorry again) and macro
consistency. I'll approve your package afterwards.
Comment 2 Spike 2010-08-02 08:57:31 EDT
(In reply to comment #1)
> NEEDSWORK: The License field in the package spec file must match the actual
> license.
> 
> I am sorry I haven't noticed this when I was doing
> osgi-support...LICENSE file has 2 licenses, but 2nd license only
> applies to non-existant file (XMLSchema.dtd). Therefore:
>  * spec file should only have ASL 2.0 as a license
>  * upstream should be contacted so that they can fix the issue
> 
> I didn't check for existence of that file while doing osgi-support
> review (my bad).

Fixed.

No problem. I noticed it too, but didn't ask further questions in the osgi-support review. Fixed it there, too.

> NEEDSWORK: Each package must consistently use macros.
> 
> again that bug in rpmstubby...rm in one place %{__rm} in another one...

Fixed.


New spec and SRPM:
http://spike.fedorapeople.org/geronimo-saaj/geronimo-saaj.spec
http://spike.fedorapeople.org/geronimo-saaj/geronimo-saaj-1.1-2.fc15.src.rpm
Comment 3 Stanislav Ochotnicky 2010-08-02 09:18:49 EDT
(In reply to comment #2)
> (In reply to comment #1)
> > NEEDSWORK: The License field in the package spec file must match the actual
> > license.
> > 
> > I am sorry I haven't noticed this when I was doing
> > osgi-support...LICENSE file has 2 licenses, but 2nd license only
> > applies to non-existant file (XMLSchema.dtd). Therefore:
> >  * spec file should only have ASL 2.0 as a license
> >  * upstream should be contacted so that they can fix the issue
> > 
> > I didn't check for existence of that file while doing osgi-support
> > review (my bad).
> 
> Fixed.
> 
> No problem. I noticed it too, but didn't ask further questions in the
> osgi-support review. Fixed it there, too.

Great.

> > NEEDSWORK: Each package must consistently use macros.
> > 
> > again that bug in rpmstubby...rm in one place %{__rm} in another one...
> 
> Fixed.


Package is good now, APPROVED.
Comment 4 Spike 2010-08-02 09:26:39 EDT
New Package CVS Request
=======================
Package Name: geronimo-saaj
Short Description: Java EE: SOAP with Attachments API Package v1.3
Owners: spike
Branches: 
InitialCC:
Comment 5 Kevin Fenzi 2010-08-02 12:35:47 EDT
GIT done (by process-git-requests).
Comment 6 Spike 2010-08-02 13:30:55 EDT
Package Change Request
======================
Package Name: geronimo-saaj
New Branches: F-14
Owners: spike
InitialCC:

Since fedpkg still won't let me import the SRPM (see #619979), I additionally need the F-14 branch. Sorry, could have thought of this in the first place.
Comment 7 Kevin Fenzi 2010-08-03 13:52:10 EDT
GIT done.
Comment 8 Spike 2010-08-03 14:11:14 EDT
Package built, closing.

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2377109

Note You need to log in before you can comment on or make changes to this bug.